package com.tuoheng.admin.enums.code.dept;

/**
 *  获取部门信息返回码
 *      模块代码：20（部门管理）
 *      接口代码：02 （获取部门信息）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public enum QueryDeptInfoCodeEnum {

    DEPT_ID_IS_NULL(1200201, "部门id为空"),
    DEPT_IS_NOT_EXIST(1200202, "部门不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryDeptInfoCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
